Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.editions
Interface Edition

All Superinterfaces:
  Localized, WCMApiObject

    public interface Edition

extends WCMApiObject, Localized

An `Edition` object represents an Edition in the WCM repository. An edition is a "named" collection of the versions of a subtree taken at a particular point in time.

Since:
  8.5

Method Summary
`java.lang.String` | `getCreator()` Returns the name of creator of this `Document` object as a string.
`java.lang.String` | `getDescription(java.util.Locale paramLocale)` Editions do not currently have a description, so this will always return `null`
`Identity<Edition>` | `getIdentity()` Returns the unique Id of the `Edition`
`ListModel<java.util.Locale>` | `getLocales()` Returns the Locale used when creating the `Edition`.
`java.lang.String` | `getTitle(java.util.Locale paramLocale)` Gets the name of this Edition in the specified Locale, or `null if a name is not available in that locale`
`ResultIterator<Version>` | `getVersions()` Retrieve Versions the make up this Edition
`PageIterator<Version>` | `getVersions(int resultsPerPage, int firstPage)` Retrieve Versions the make up this Edition

Methods inherited from interface com.ibm.workplace.wcm.api.WCMApiObject
`getName`

Method Detail

### getIdentity

    Identity<Edition> getIdentity()

  Returns the unique Id of the `Edition`

  Returns:
    the unique id
  Since:
    8.5

### getTitle

    java.lang.String getTitle(java.util.Locale paramLocale)

  Gets the name of this Edition in the specified Locale, or `null if a name is not available in that locale

  `
  Specified by:
    `getTitle` in interface `Localized`
  Parameters:
    `locale` - of the name to return
  Returns:
    name of this Edition

### getDescription

    java.lang.String getDescription(java.util.Locale paramLocale)

  Editions do not currently have a description, so this will always return `null`

  Specified by:
    `getDescription` in interface `Localized`
  Parameters:
    `locale` - of the name to return
  Returns:
    description, always return `null`

### getLocales

    ListModel<java.util.Locale> getLocales()

  Returns the Locale used when creating the `Edition`. Currently only a single Locale will be returned.

  Specified by:
    `getLocales` in interface `Localized`
  Returns:
    the single Locale specified on the create or last rename of this Edition.

### getCreator

    java.lang.String getCreator()

  Returns the name of creator of this `Document` object as a string. The string is either the user's common name or distinguished name, depending on the setting on the Workspace. See `Workspace.isDistinguishedNamesUsed()`.

  Returns:
    a string that is the creator's common name or distinguished name
  Since:
    8.5

### getVersions

    ResultIterator<Version> getVersions()
                                        throws EditionException,
                                               VersioningException

  Retrieve Versions the make up this Edition

  Returns:
    Iterator of all versions that exist within this Edition.
  Throws:
    `VersioningException` - if an error occurred retrieving a `Version`
    `EditionException` - if an error occurred retrieving a `Version`
  Since:
    8.5

### getVersions

    PageIterator<Version> getVersions(int resultsPerPage,
                                      int firstPage)
                                      throws EditionException,
                                             VersioningException

  Retrieve Versions the make up this Edition

  Parameters:
    `resultsPerPage` - how many version to per page
    `firstPage` - the first page of the returned versions
  Returns:
    Iterator of all versions that exist within this Edition.
  Throws:
    `VersioningException` - if an error occurred retrieving a `Version`
    `EditionException` - if an error occurred retrieving a `Version`
  Since:
    8.5

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD